﻿@using GridMvc.Html
@using GridMvc.Sorting
@model Grid.Mvc.Ajax.GridExtensions.AjaxGrid<LoyaltyPointEngine.Model.Object.Collect.CollectCMSTableModel>


@(
 Html.Grid(Model).Named("GridGetAllCollect").Columns(columns =>
 {
     columns.Add(x => x.MemberName)
         .Titled("Member")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.MemberName).Filterable(true);

     columns.Add(x => x.CampaignName)
         .Titled("Campaign")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.CampaignName).Filterable(true);

     columns.Add(x => x.ActionName)
         .Titled("Action")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.ActionName).Filterable(true);

     columns.Add(x => x.Quantity)
         .Titled("Quantity")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.Quantity.ToString()).Filterable(true);
     
     columns.Add(x => x.QuantityApproved)
         .Titled("Quantity Approved")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.QuantityApproved.ToString()).Filterable(true);
     
     columns.Add(x => x.Points)
         .Titled("Points")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.Points.ToString()).Filterable(true);

     columns.Add(x => x.TotalPoints)
         .Titled("TotalPoints")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.TotalPoints.ToString()).Filterable(true);
     
     columns.Add(x => x.Remarks)
         .Titled("Remarks")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.Remarks).Filterable(true);

     columns.Add(x => x.ExpiryDate)
         .Titled("Expiry Date")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.ExpiryDateTime.HasValue ? x.ExpiryDateTime.Value.ToString("dd-MM-yyyy HH:mm") : "");

     columns.Add(x => x.CreatedDate)
         .Titled("Created Date")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.CreatedDateTime.ToString("dd-MM-yyyy HH:mm"));
     
 }).Filterable()
.Sortable()
.WithPaging(5)
)
@helper RenderMemberName(int MemberID)
{
    Member predictedMember = Member.GetById(MemberID);
    if(predictedMember != null)
    {
        <span>@predictedMember.Name</span>
    }
}